# Define ONLY_CLIENT to only make the ipa-client, ipa-python and
# ipa-admintools subpackages
%{!?ONLY_CLIENT:%global ONLY_CLIENT 0}

%ifarch x86_64 %{ix86}
# Nothing, we want to force just building client on non-Intel
%else
%global ONLY_CLIENT 1
%endif

%global httpd_conf /etc/httpd/conf.d
%global plugin_dir %{_libdir}/dirsrv/plugins
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif
%global POLICYCOREUTILSVER 1.33.12-1
%global gettext_domain ipa
%global VERSION 2.1.90.rc1

Name:           ipa
Version:        2.2.0
Release:        16%{?date}%{?dist}
Summary:        The Identity, Policy and Audit system

Group:          System Environment/Base
License:        GPLv3+
URL:            http://www.freeipa.org/
Source0:        http://www.freeipa.org/downloads/src/freeipa-%{VERSION}.tar.gz
Source1:        rh-ipabanner.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch10:        0010-Ignore-case-in-yes-no-prompts.patch
Patch11:        0011-Handle-client-exceptions.patch
Patch12:        0012-sudo-commands-with-special-chars.patch
Patch13:        0013-Required-attributes-cannot-be-empty.patch
Patch14:        0014-Mark-most-config-options-as-required.patch
Patch15:        0015-Refresh-resolvers-after-DNS-install.patch
Patch16:        0016-Fix-migration-plugin-compat-check.patch
Patch17:        0017-Fix-nsslapd-anonlimitsdn.patch
Patch18:        0018-Fixed-checkbox-in-table-without-pkey.patch
Patch19:        0019-selinux-httpd_manage_ipa.patch
Patch20:        0020-Fix-network_validator.patch
Patch21:        0021-remove-shellescape-pkisilent.patch
Patch22:        0022-Don-t-set-dbdir-in-the-connection-until-after-the-co.patch
Patch23:        0023-Don-t-crash-when-searching-with-empty-relationship-o.patch
Patch24:        0024-Display-serial-number-as-HEX-DECIMAL-when-showing.patch
Patch25:        0025-Certificate-serial-number-in-hex-format-ui-testing.patch
Patch26:        0026-Add-subject-key-identifier-to-the-dogtag-server-cert.patch
Patch27:        0027-Treat-UPGs-correctly-in-winsync-replication.patch
Patch28:        0028-Fixed-evaluating-checkbox-dirty-status.patch
Patch29:        0029-Better-hbactest-validation-message.patch
Patch30:        0030-Import-the-ipaserver-plugins-based-on-context-not-e.patch
Patch31:        0031-Don-t-allow-hosts-and-services-of-IPA-masters-to-be.patch
Patch32:        0032-Content-is-no-more-overwritten-by-error-message.patch
Patch33:        0033-Show_content-on-refresh-success.patch
Patch34:        0034-Fixed-rpm-build-warning-extension.js-listed-twice.patch
Patch35:        0035-Use-a-consistent-parameter-name-in-errors-defaultin.patch
Patch36:        0036-Allow-port-numbers-for-idnsForwarders.patch
Patch37:        0037-Add-missing-global-options-in-dnsconfig.patch
Patch38:        0038-Add-support-of-new-options-in-dnsconfig.patch
Patch39:        0039-DNS-forwarder-validator.patch
Patch40:        0040-Added-mac-address-to-host-page.patch
Patch41:        0041-Only-split-CSV-in-the-client-quote-instead-of-escap.patch
# Patch42:        Reverted upstream
Patch43:        0043-Fix-precallback-validators-in-DNS-plugin.patch
Patch44:        0044-Fix-memleak-and-silence-Coverity-defects.patch
Patch45:        0045-Harden-raw-record-processing-in-DNS-plugin.patch
Patch46:        0046-Fix-attributes-that-contain-DNs-when-migrating.patch
Patch47:        0047-Normalize-the-primary-key-value-to-lowercase-during.patch
Patch48:        0048-When-changing-multiple-booleans-with-setsebool-pass.patch
Patch49:        0049-Wait-for-child-process-to-terminate-after-receiving.patch
Patch50:        0050-Avoid-deleting-DNS-zone-when-a-context-is-reused.patch
Patch51:        0051-Fix-default-SOA-serial-format.patch
Patch52:        0052-Typos-in-FreeIPA-messages.patch
Patch53:        0053-Set-nsslapd-minssf-exclude-rootdse-to-on-so-the-DSE.patch
Patch54:        0054-Amend-permissions-for-new-DNS-attributes.patch
Patch55:        0055-Improve-user-awareness-about-dnsconfig.patch
Patch56:        0056-Fix-uses-of-O-REALM-instead-of-the-configured-certif.patch
Patch57:        0057-Fix-dnsrecord-del-interactive-mode.patch
Patch58:        0058-Tolerate-UDP-port-failures-in-conncheck.patch
Patch59:        0059-Netgroup-nisdomain-and-hosts-validation.patch
Patch60:        0060-Allow-multi-line-CSV-parameters.patch
Patch61:        0061-Improve-automount-indirect-map-error-message.patch
Patch62:        0062-Fix-failure-count-interval-attribute-name-in-query-f.patch
Patch63:        0063-Handle-updating-replication-agreements-that-lack-nsD.patch
Patch64:        0064-Forbid-public-access-to-DNS-tree.patch
Patch65:        0065-Don-t-create-private-groups-for-migrated-users-chec.patch
Patch66:        0066-Defer-conversion-and-validation-until-after-add-d.patch
Patch67:        0067-Configure-SELinux-for-httpd-during-upgrades.patch
Patch68:        0068-Make-revocation_reason-required-when-revoking-a-cert.patch
Patch69:        0069-Check-whether-the-default-user-group-is-POSIX-when-a.patch
Patch70:        0070-improve-handling-of-ds-instances-during-uninstall.patch
Patch71:        0071-Add-missing-comma-to-list-of-services-that-cannot-be.patch
Patch72:        0072-Return-consistent-value-when-hostcat-and-usercat-is.patch
Patch73:        0073-Check-configured-maximum-user-login-length-on-user-r.patch
Patch74:        0074-Fix-installation-when-server-hostname-is-not-in-a-de.patch
Patch75:        0075-Reworked-netgroup-Web-UI-to-allow-setting-user-host.patch
Patch76:        0076-Fixed-permission-attrs-table-didn-t-update-its-avai.patch
Patch77:        0077-Added-attrs-field-to-permission-for-target-subtree.patch
Patch78:        0078-DNS-forward-policy-checkboxes-changed-to-radio-butt.patch
Patch79:        0079-Removed-mutex-option-from-checkboxes.patch
Patch80:        0080-Dereference-pointer-when-comparing-password-history.patch
Patch81:        0081-Limit-permission-and-selfservice-names-to-alphanumer.patch
Patch82:        0082-Convert-setattr-values-for-attributes-marked-no_up.patch
Patch83:        0083-Removal-of-memberofindirect_permissons-from-privileg.patch
Patch84:        0084-Configure-certmonger-to-execute-restart-scripts-on-r.patch
Patch85:        0085-Unable-to-rename-permission-object.patch
Patch86:        0086-Validate-DN-RDN-parameters-for-migrate-command.patch
Patch87:        0087-Return-correct-record-name-in-DNS-plugin.patch
Patch88:        0088-Fix-dnsrecord_add-interactive-mode.patch
Patch89:        0089-Remove-the-running-state-when-uninstalling-DS-instan.patch
Patch90:        0090-Fix-empty-external-member-processing.patch
Patch91:        0091-Return-consistent-expiration-message-for-forms-based.patch
Patch92:        0092-User-is-notified-that-password-needs-to-be-reset-in.patch
Patch93:        0093-don-t-append-basedn-to-container-if-it-is-included.patch
Patch94:        0094-Raise-proper-exception-when-LDAP-limits-are-exceeded.patch
Patch95:        0095-Do-not-fail-migration-because-of-duplicate-groups.patch
Patch96:        0096-Fix-internal-error-when-renaming-user-with-an-empty.patch
Patch97:        0097-Added-permission-field-to-delegation.patch
Patch98:        0098-Fix-name-error-in-hbactest.patch
Patch99:        0099-Fix-help-of-hostname-option-in-ipa-client-install.patch
Patch100:       0100-Use-mixed-case-for-Read-DNS-Entries-permission.patch
Patch101:       0101-Update-docs-for-user-status-always-show-disabled-tim.patch
Patch102:       0102-Revert-Validate-attributes-in-permission-add.patch
Patch103:       0103-Sort-password-policies-properly-with-pkey-only.patch
Patch104:       0104-Paging-disable-for-password-policies.patch
Patch105:       0105-Improve-error-message-in-zonemgr-validator.patch
Patch106:       0106-Set-the-KerberosAuthentication-option-in-sshd_conf.patch
Patch107:       0107-Make-ipa-2.2-client-capable-of-joining-an-older-serv.patch
Patch108:       0108-Host-page-fixed-to-work-with-disabled-DNS-support.patch
Patch109:       0109-Check-for-locked-out-user-before-incrementing-lastfa.patch

Patch1001:      1001-hide-pkinit.patch
Patch1002:      1002-remove-pkinit.patch
Patch1003:      1003-ipa-RHEL-index.patch
Patch1004:      1004-ipa-remove-pkinit-man.patch
Patch1005:      1005-ipa-remove-entitlement.patch
Patch1006:      1006-ipa-uibranding.patch
Patch1007:      1007-ipa-remove-entitlement-update.patch
Patch1008:      1008-remove-persistent-search.patch
Patch1009:      1009-disable-ssh-by-default.patch


%if ! %{ONLY_CLIENT}
BuildRequires:  389-ds-base-devel >= 1.2.9.6
BuildRequires:  svrcore-devel
BuildRequires:  /usr/share/selinux/devel/Makefile
BuildRequires:  policycoreutils >= %{POLICYCOREUTILSVER}
%endif
BuildRequires:  nspr-devel
BuildRequires:  nss-devel
BuildRequires:  openssl-devel
BuildRequires:  openldap-devel
BuildRequires:  krb5-devel
BuildRequires:  krb5-workstation
BuildRequires:  libuuid-devel
BuildRequires:  xmlrpc-c-devel >= 1.16.24-1200.1840.el6_1.4
BuildRequires:  libcurl-devel >= 7.19.7-26
BuildRequires:  popt-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  m4
BuildRequires:  libtool
BuildRequires:  gettext
BuildRequires:  python-devel
BuildRequires:  authconfig
BuildRequires:  python-ldap
BuildRequires:  python-setuptools
BuildRequires:  python-krbV
BuildRequires:  python-nss
BuildRequires:  python-netaddr
BuildRequires:  python-kerberos
BuildRequires:  pyOpenSSL
BuildRequires:  libipa_hbac-python
BuildRequires:  python-memcached
BuildRequires:  sssd
BuildRequires:  python-lxml
BuildRequires:  python-pyasn1 >= 0.0.9a

%description
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof).

%if ! %{ONLY_CLIENT}
%package server
Summary: The IPA authentication server
Group: System Environment/Base
Requires: %{name}-python = %{version}-%{release}
Requires: %{name}-client = %{version}-%{release}
Requires: %{name}-admintools = %{version}-%{release}
Requires: %{name}-server-selinux = %{version}-%{release}
Requires: 389-ds-base >= 1.2.10.2-4
Requires: openldap-clients
Requires: nss
Requires: nss-tools
Requires: krb5-server >= 1.9-27
Requires: krb5-pkinit-openssl
Requires: cyrus-sasl-gssapi%{?_isa}
Requires: ntp
Requires: httpd
Requires: mod_wsgi
Requires: mod_auth_kerb >= 5.4-8
Requires: mod_nss >= 1.0.8-10
Requires: python-ldap
Requires: python-krbV
Requires: acl
Requires: python-pyasn1 >= 0.0.9a
Requires: memcached
Requires: python-memcached >= 1.43-6
Requires: selinux-policy >= 3.7.19-142
Requires(post): selinux-policy-base
Requires: slapi-nis >= 0.40
Requires: pki-ca >= 9.0.3-24
Requires: pki-silent >= 9.0.3-24
Requires: pki-setup >= 9.0.3-24
Requires: ipa-pki-common-theme
Requires: ipa-pki-ca-theme
Requires(preun):  python initscripts chkconfig
Requires(postun): python initscripts chkconfig

# We have a soft-requires on bind. It is an optional part of
# IPA but if it is configured we need a way to require versions
# that work for us.
Conflicts: bind-dyndb-ldap < 1.1.0-0.5.b1
Conflicts: bind < bind-9.8.2-0.6

%description server
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). If you are installing an IPA server you need
to install this package (in other words, most people should NOT install
this package).

%package server-selinux
Summary: SELinux rules for ipa-server daemons
Group: System Environment/Base
Requires(post): %{name}-server = %{version}-%{release}
Requires(postun): %{name}-server = %{version}-%{release}
Requires(pre): policycoreutils >= %{POLICYCOREUTILSVER}

%description server-selinux
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). This package provides SELinux rules for the
daemons included in ipa-server
%endif # ONLY_CLIENT


%package client
Summary: IPA authentication for use on clients
Group: System Environment/Base
Requires: %{name}-python = %{version}-%{release}
Requires: python-ldap
Requires: cyrus-sasl-gssapi%{?_isa}
Requires: ntp
Requires: krb5-workstation
Requires: authconfig
Requires: pam_krb5
Requires: wget
Requires: xmlrpc-c >= 1.16.24-1200.1840.el6_1.4
Requires: sssd >= 1.8.0-11
Requires: certmonger >= 0.56
Requires: nss-tools
Requires: bind-utils
Requires: oddjob-mkhomedir
Requires: python-krbV

# ipa-client was a separate package in RHEL 6.0. We need to make sure it
# gets completely removed when upgrading.
Obsoletes: ipa-client <= 2.0-9.el6
Obsoletes: ipa-client-debuginfo <= 2.0-9.el6

%description client
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). If your network uses IPA for authentication,
this package should be installed on every client machine.


%package admintools
Summary: IPA administrative tools
Group: System Environment/Base
Requires: %{name}-python = %{version}-%{release}
Requires: %{name}-client = %{version}-%{release}
Requires: python-krbV
Requires: python-ldap

%description admintools
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). This package provides command-line tools for
IPA administrators.

%package python
Summary: Python libraries used by IPA
Group: System Environment/Libraries
%if 0%{?fedora} >= 12 || 0%{?rhel} >= 6
Requires: python-kerberos >= 1.1-3
%endif
Requires: authconfig
Requires: gnupg
Requires: iproute
Requires: pyOpenSSL
Requires: python-nss >= 0.11
Requires: python-lxml
Requires: python-netaddr
Requires: libipa_hbac-python

%description python
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). If you are using IPA you need to install this
package.

%prep
%setup -n freeipa-%{VERSION} -q
%patch10 -p1 -b .ignore-case-in-yes-no-prompts
%patch11 -p1 -b .handle-client-exceptions
%patch12 -p1 -b .sudo-commands-with-special-chars
%patch13 -p1 -b .required-attributes-cannot-be-empty
%patch14 -p1 -b .mark-most-config-options-as-required
%patch15 -p1 -b .refresh-resolvers-after-DNS-install
%patch16 -p1 -b .fix-migration-plugin-compat-check
%patch17 -p1 -b .fix-nsslapd-anonlimitsdn
%patch18 -p1 -b .fixed-checkbox-in-table-without-pkey
%patch19 -p1 -b .selinux-httpd_manage_ipa
%patch20 -p1 -b .fix-network_validator
%patch21 -p1 -b .remove-shellescape-pkisilent
%patch22 -p1 -b .Don-t-set-dbdir-in-the-connection-until-after-the-co
%patch23 -p1 -b .Don-t-crash-when-searching-with-empty-relationship-o
%patch24 -p1 -b .Display-serial-number-as-HEX-DECIMAL-when-showing
%patch25 -p1 -b .Certificate-serial-number-in-hex-format-ui-testing
%patch26 -p1 -b .Add-subject-key-identifier-to-the-dogtag-server-cert
%patch27 -p1 -b .Treat-UPGs-correctly-in-winsync-replication
%patch28 -p1 -b .Fixed-evaluating-checkbox-dirty-status
%patch29 -p1 -b .Better-hbactest-validation-message
%patch30 -p1 -b .Import-the-ipaserver-plugins-based-on-context-not-e
%patch31 -p1 -b .Don-t-allow-hosts-and-services-of-IPA-masters-to-be
%patch32 -p1 -b .Content-is-no-more-overwritten-by-error-message
%patch33 -p1 -b .Show_content-on-refresh-success
%patch34 -p1 -b .Fixed-rpm-build-warning-extension.js-listed-twice
%patch35 -p1 -b .Use-a-consistent-parameter-name-in-errors-defaultin
%patch36 -p1 -b .Allow-port-numbers-for-idnsForwarders
%patch37 -p1 -b .Add-missing-global-options-in-dnsconfig
%patch38 -p1 -b .Add-support-of-new-options-in-dnsconfig
%patch39 -p1 -b .DNS-forwarder-validator
%patch40 -p1 -b .Added-mac-address-to-host-page
%patch41 -p1 -b .Only-split-CSV-in-the-client-quote-instead-of-escape
# Patch 42 was reverted upstream
#%patch42 -p1 -b .Search-allowed-attributes-in-superior-objectclasses
%patch43 -p1 -b .Fix-precallback-validators-in-DNS-plugin
%patch44 -p1 -b .Fix-memleak-and-silence-Coverity-defects
%patch45 -p1 -b .Harden-raw-record-processing-in-DNS-plugin
%patch46 -p1 -b .Fix-attributes-that-contain-DNs-when-migrating
%patch47 -p1 -b .Normalize-the-primary-key-value-to-lowercase-during
%patch48 -p1 -b .When-changing-multiple-booleans-with-setsebool-pass
%patch49 -p1 -b .Wait-for-child-process-to-terminate-after-receiving
%patch50 -p1 -b .Avoid-deleting-DNS-zone-when-a-context-is-reused
%patch51 -p1 -b .Fix-default-SOA-serial-format
%patch52 -p1 -b .Typos-in-FreeIPA-messages
%patch53 -p1 -b .Set-nsslapd-minssf-exclude-rootdse-to-on-so-the-DSE
%patch54 -p1 -b .Amend-permissions-for-new-DNS-attributes
%patch55 -p1 -b .Improve-user-awareness-about-dnsconfig
%patch56 -p1 -b .Fix-uses-of-O-REALM-instead-of-the-configured-certif
%patch57 -p1 -b .Fix-dnsrecord-del-interactive-mode
%patch58 -p1 -b .Tolerate-UDP-port-failures-in-conncheck
%patch59 -p1 -b .Netgroup-nisdomain-and-hosts-validation
%patch60 -p1 -b .Allow-multi-line-CSV-parameters
%patch61 -p1 -b .Improve-automount-indirect-map-error-message
%patch62 -p1 -b .Fix-failure-count-interval-attribute-name-in-query-f
%patch63 -p1 -b .Handle-updating-replication-agreements-that-lack-nsD
%patch64 -p1 -b .Forbid-public-access-to-DNS-tree
%patch65 -p1 -b .Don-t-create-private-groups-for-migrated-users-chec
%patch66 -p1 -b .Defer-conversion-and-validation-until-after-add-d
%patch67 -p1 -b .Configure-SELinux-for-httpd-during-upgrades
%patch68 -p1 -b .Make-revocation_reason-required-when-revoking-a-cert
%patch69 -p1 -b .Check-whether-the-default-user-group-is-POSIX-when-a
%patch70 -p1 -b .improve-handling-of-ds-instances-during-uninstall
%patch71 -p1 -b .Add-missing-comma-to-list-of-services-that-cannot-be
%patch72 -p1 -b .Return-consistent-value-when-hostcat-and-usercat-is
%patch73 -p1 -b .Check-configured-maximum-user-login-length-on-user-r
%patch74 -p1 -b .Fix-installation-when-server-hostname-is-not-in-a-de
%patch75 -p1 -b .Reworked-netgroup-Web-UI-to-allow-setting-user-host
%patch76 -p1 -b .Fixed-permission-attrs-table-didn-t-update-its-avai
%patch77 -p1 -b .Added-attrs-field-to-permission-for-target-subtree
%patch78 -p1 -b .DNS-forward-policy-checkboxes-changed-to-radio-butt
%patch79 -p1 -b .Removed-mutex-option-from-checkboxes
%patch80 -p1 -b .Dereference-pointer-when-comparing-password-history
%patch81 -p1 -b .Limit-permission-and-selfservice-names-to-alphanumer
%patch82 -p1 -b .Convert-setattr-values-for-attributes-marked-no_up
%patch83 -p1 -b .Removal-of-memberofindirect_permissons-from-privileg
%patch84 -p1 -b .Configure-certmonger-to-execute-restart-scripts-on-r
%patch85 -p1 -b .Unable-to-rename-permission-object
%patch86 -p1 -b .Validate-DN-RDN-parameters-for-migrate-command
%patch87 -p1 -b .Return-correct-record-name-in-DNS-plugin
%patch88 -p1 -b .Fix-dnsrecord_add-interactive-mode
%patch89 -p1 -b .Remove-the-running-state-when-uninstalling-DS-instan
%patch90 -p1 -b .Fix-empty-external-member-processing
%patch91 -p1 -b .Return-consistent-expiration-message-for-forms-based
%patch92 -p1 -b .User-is-notified-that-password-needs-to-be-reset-in
%patch93 -p1 -b .don-t-append-basedn-to-container-if-it-is-included
%patch94 -p1 -b .Raise-proper-exception-when-LDAP-limits-are-exceeded
%patch95 -p1 -b .Do-not-fail-migration-because-of-duplicate-groups
%patch96 -p1 -b .Fix-internal-error-when-renaming-user-with-an-empty
%patch97 -p1 -b .Added-permission-field-to-delegation
%patch98 -p1 -b .Fix-name-error-in-hbactest
%patch99 -p1 -b .Fix-help-of-hostname-option-in-ipa-client-install
%patch100 -p1 -b .Use-mixed-case-for-Read-DNS-Entries-permission
%patch101 -p1 -b .Update-docs-for-user-status-always-show-disabled-tim
%patch102 -p1 -b .Revert-Validate-attributes-in-permission-add
%patch103 -p1 -b .Sort-password-policies-properly-with-pkey-only
%patch104 -p1 -b .Paging-disable-for-password-policies
%patch105 -p1 -b .Improve-error-message-in-zonemgr-validator
%patch106 -p1 -b .Set-the-KerberosAuthentication-option-in-sshd_conf
%patch107 -p1 -b .Make-ipa-2.2-client-capable-of-joining-an-older-serv
%patch108 -p1 -b .Host-page-fixed-to-work-with-disabled-DNS-support
%patch109 -p1 -b .Check-for-locked-out-user-before-incrementing-lastfa

%patch1001 -p1 -b .hide_pkinit
%patch1002 -p1 -b .remove_pkinit
%patch1003 -p1 -b .ipa-RHEL-index
%patch1004 -p1 -b .remove-pkinit-man
%patch1005 -p1 -b .remove-entitlement
%patch1006 -p1 -b .uibranding
%patch1007 -p1 -b .remove-entitlement-update
%patch1008 -p1 -b .remove-persistent-search
%patch1009 -p1 -b .disable-ssh-by-default

%build
# exension.js is a zero-length file and moved from one directory to
# another. Patch 34 isn't handling this so do it manually
if [ -e install/ui/extension.js ]; then
    mv install/ui/extension.js install/ui/ext
fi
export CFLAGS="$CFLAGS %{optflags}"
export CPPFLAGS="$CPPFLAGS %{optflags}"
make version-update
cd ipa-client; ../autogen.sh --prefix=%{_usr} --sysconfdir=%{_sysconfdir} --localstatedir=%{_localstatedir} --libdir=%{_libdir} --mandir=%{_mandir}; cd ..
%if ! %{ONLY_CLIENT}
cd daemons; ../autogen.sh --prefix=%{_usr} --sysconfdir=%{_sysconfdir} --localstatedir=%{_localstatedir} --libdir=%{_libdir} --mandir=%{_mandir} --with-openldap; cd ..
cd install; ../autogen.sh --prefix=%{_usr} --sysconfdir=%{_sysconfdir} --localstatedir=%{_localstatedir} --libdir=%{_libdir} --mandir=%{_mandir}; cd ..
%endif # ONLY_CLIENT

%if ! %{ONLY_CLIENT}
make IPA_VERSION_IS_GIT_SNAPSHOT=no %{?_smp_mflags} all
cd selinux
# This isn't multi-process make capable yet
make all
%else
make IPA_VERSION_IS_GIT_SNAPSHOT=no %{?_smp_mflags} client
%endif

%install
rm -rf %{buildroot}
%if ! %{ONLY_CLIENT}
make install DESTDIR=%{buildroot}
cd selinux
make install DESTDIR=%{buildroot}
cd ..
cp %SOURCE1 %{buildroot}%{_usr}/share/ipa/ui/images
rm %{buildroot}%{_usr}/share/ipa/ui/images/ipa-banner.png
%else
make client-install DESTDIR=%{buildroot}
%endif
%find_lang %{gettext_domain}


%if ! %{ONLY_CLIENT}
# Remove .la files from libtool - we don't want to package
# these files
rm %{buildroot}/%{plugin_dir}/libipa_pwd_extop.la
rm %{buildroot}/%{plugin_dir}/libipa_enrollment_extop.la
rm %{buildroot}/%{plugin_dir}/libipa_winsync.la
rm %{buildroot}/%{plugin_dir}/libipa_repl_version.la
rm %{buildroot}/%{plugin_dir}/libipa_uuid.la
rm %{buildroot}/%{plugin_dir}/libipa_modrdn.la
rm %{buildroot}/%{plugin_dir}/libipa_lockout.la
rm %{buildroot}/%{_libdir}/krb5/plugins/kdb/ipadb.la

# Some user-modifiable HTML files are provided. Move these to /etc
# and link back.
mkdir -p %{buildroot}/%{_sysconfdir}/ipa/html
mkdir -p %{buildroot}/%{_localstatedir}/cache/ipa/sysrestore
mkdir %{buildroot}%{_usr}/share/ipa/html/
ln -s ../../../..%{_sysconfdir}/ipa/html/ssbrowser.html \
    %{buildroot}%{_usr}/share/ipa/html/ssbrowser.html
ln -s ../../../..%{_sysconfdir}/ipa/html/unauthorized.html \
    %{buildroot}%{_usr}/share/ipa/html/unauthorized.html
ln -s ../../../..%{_sysconfdir}/ipa/html/browserconfig.html \
    %{buildroot}%{_usr}/share/ipa/html/browserconfig.html
ln -s ../../../..%{_sysconfdir}/ipa/html/ipa_error.css \
    %{buildroot}%{_usr}/share/ipa/html/ipa_error.css

# So we can own our Apache configuration
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
/bin/touch %{buildroot}%{_sysconfdir}/httpd/conf.d/ipa.conf
/bin/touch %{buildroot}%{_sysconfdir}/httpd/conf.d/ipa-rewrite.conf
/bin/touch %{buildroot}%{_sysconfdir}/httpd/conf.d/ipa-pki-proxy.conf
mkdir -p %{buildroot}%{_initrddir}
mkdir %{buildroot}%{_sysconfdir}/sysconfig/
install -m 644 init/ipa_memcached.conf %{buildroot}%{_sysconfdir}/sysconfig/ipa_memcached
install -m755 init/SystemV/ipa.init %{buildroot}%{_initrddir}/ipa
install -m755 init/SystemV/ipa_memcached.init %{buildroot}%{_initrddir}/ipa_memcached
mkdir -p %{buildroot}%{_localstatedir}/run/
install -d -m 0700 %{buildroot}%{_localstatedir}/run/ipa_memcached/
%endif

mkdir -p %{buildroot}%{_sysconfdir}/ipa/
/bin/touch %{buildroot}%{_sysconfdir}/ipa/default.conf
mkdir -p %{buildroot}/%{_localstatedir}/lib/ipa-client/sysrestore

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -pm 644 contrib/completion/ipa.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/ipa

%if %{ONLY_CLIENT}
# Manually do the installation for the admintools files as upstream doesn't
# install these with the install client target.
mkdir -p %{buildroot}%{_bindir}
install -pm 755 ipa %{buildroot}%{_bindir}
gzip ipa.1
install -pm 644 ipa.1.gz %{buildroot}%{_mandir}/man1
%endif

%clean
rm -rf %{buildroot}

%if ! %{ONLY_CLIENT}
%post server
if [ $1 = 1 ]; then
    /sbin/chkconfig --add ipa
fi
if [ $1 -gt 1 ] ; then
    /usr/sbin/ipa-upgradeconfig || :
    /usr/sbin/ipa-ldap-updater --upgrade >/dev/null 2>&1 || :
fi

%preun server
if [ $1 = 0 ]; then
    /sbin/chkconfig --del ipa
    /sbin/service ipa stop >/dev/null 2>&1 || :
fi

%postun server
if [ "$1" -ge "1" ]; then
    /sbin/service ipa condrestart >/dev/null 2>&1 || :
fi

%pre server
# Stop ipa_kpasswd if it exists before upgrading so we don't have a
# zombie process when we're done.
if [ -e /usr/sbin/ipa_kpasswd ]; then
    /sbin/service ipa_kpasswd stop >/dev/null 2>&1 || :
fi

%pre server-selinux
if [ -s /etc/selinux/config ]; then
       . %{_sysconfdir}/selinux/config
       FILE_CONTEXT=%{_sysconfdir}/selinux/targeted/contexts/files/file_contexts
       if [ "${SELINUXTYPE}" == targeted -a -f ${FILE_CONTEXT} ]; then \
               cp -f ${FILE_CONTEXT} ${FILE_CONTEXT}.%{name}
       fi
fi

%post server-selinux
semodule -s targeted -i /usr/share/selinux/targeted/ipa_httpd.pp /usr/share/selinux/targeted/ipa_dogtag.pp
. %{_sysconfdir}/selinux/config
FILE_CONTEXT=%{_sysconfdir}/selinux/targeted/contexts/files/file_contexts
selinuxenabled
if [ $? == 0  -a "${SELINUXTYPE}" == targeted -a -f ${FILE_CONTEXT}.%{name} ]; then
       fixfiles -C ${FILE_CONTEXT}.%{name} restore
       rm -f ${FILE_CONTEXT}.%name
fi

%preun server-selinux
if [ $1 = 0 ]; then
if [ -s /etc/selinux/config ]; then
       . %{_sysconfdir}/selinux/config
       FILE_CONTEXT=%{_sysconfdir}/selinux/targeted/contexts/files/file_contexts
       if [ "${SELINUXTYPE}" == targeted -a -f ${FILE_CONTEXT} ]; then \
               cp -f ${FILE_CONTEXT} ${FILE_CONTEXT}.%{name}
       fi
fi
fi

%postun server-selinux
if [ $1 = 0 ]; then
semodule -s targeted -r ipa_httpd ipa_dogtag
. %{_sysconfdir}/selinux/config
FILE_CONTEXT=%{_sysconfdir}/selinux/targeted/contexts/files/file_contexts
selinuxenabled
if [ $? == 0  -a "${SELINUXTYPE}" == targeted -a -f ${FILE_CONTEXT}.%{name} ]; then
       fixfiles -C ${FILE_CONTEXT}.%{name} restore
       rm -f ${FILE_CONTEXT}.%name
fi
fi
%endif # ONLY_CLIENT


%if ! %{ONLY_CLIENT}
%files server
%defattr(-,root,root,-)
%doc COPYING README Contributors.txt
%{_sbindir}/ipa-ca-install
%{_sbindir}/ipa-dns-install
%{_sbindir}/ipa-server-install
%{_sbindir}/ipa-replica-conncheck
%{_sbindir}/ipa-replica-install
%{_sbindir}/ipa-replica-prepare
%{_sbindir}/ipa-replica-manage
%{_sbindir}/ipa-csreplica-manage
%{_sbindir}/ipa-server-certinstall
%{_sbindir}/ipa-ldap-updater
%{_sbindir}/ipa-compat-manage
%{_sbindir}/ipa-nis-manage
%{_sbindir}/ipa-managed-entries
%{_sbindir}/ipactl
%{_sbindir}/ipa-upgradeconfig
%config(noreplace) %{_sysconfdir}/sysconfig/ipa_memcached
%dir %attr(0700,apache,apache) %{_localstatedir}/run/ipa_memcached/
%attr(755,root,root) %{_initrddir}/ipa
%attr(755,root,root) %{_initrddir}/ipa_memcached
%dir %{python_sitelib}/ipaserver
%{python_sitelib}/ipaserver/*
%dir %{_libdir}/ipa/certmonger
%attr(755,root,root) %{_libdir}/ipa/certmonger/*
%dir %{_usr}/share/ipa
%{_usr}/share/ipa/wsgi.py*
%{_usr}/share/ipa/*.ldif
%{_usr}/share/ipa/*.uldif
%{_usr}/share/ipa/*.template
%dir %{_usr}/share/ipa/html
%{_usr}/share/ipa/html/ssbrowser.html
%{_usr}/share/ipa/html/browserconfig.html
%{_usr}/share/ipa/html/unauthorized.html
%{_usr}/share/ipa/html/ipa_error.css
%dir %{_usr}/share/ipa/migration
%{_usr}/share/ipa/migration/error.html
%{_usr}/share/ipa/migration/index.html
%{_usr}/share/ipa/migration/invalid.html
%{_usr}/share/ipa/migration/migration.py*
%dir %{_usr}/share/ipa/ui
%{_usr}/share/ipa/ui/index.html
%{_usr}/share/ipa/ui/login.html
%{_usr}/share/ipa/ui/logout.html
%{_usr}/share/ipa/ui/*.ico
%{_usr}/share/ipa/ui/*.css
%{_usr}/share/ipa/ui/*.js
%{_usr}/share/ipa/ui/*.eot
%{_usr}/share/ipa/ui/*.svg
%{_usr}/share/ipa/ui/*.ttf
%{_usr}/share/ipa/ui/*.woff
%dir %{_usr}/share/ipa/ui/ext
%config(noreplace) %{_usr}/share/ipa/ui/ext/extension.js
%dir %{_usr}/share/ipa/ui/images
%{_usr}/share/ipa/ui/images/*.png
%{_usr}/share/ipa/ui/images/*.gif
%dir %{_sysconfdir}/ipa
%dir %{_sysconfdir}/ipa/html
%config(noreplace) %{_sysconfdir}/ipa/html/ssbrowser.html
%config(noreplace) %{_sysconfdir}/ipa/html/ipa_error.css
%config(noreplace) %{_sysconfdir}/ipa/html/unauthorized.html
%config(noreplace) %{_sysconfdir}/ipa/html/browserconfig.html
%ghost %attr(0644,root,apache) %config(noreplace) %{_sysconfdir}/httpd/conf.d/ipa-rewrite.conf
%ghost %attr(0644,root,apache) %config(noreplace) %{_sysconfdir}/httpd/conf.d/ipa.conf
%ghost %attr(0644,root,apache) %config(noreplace) %{_sysconfdir}/httpd/conf.d/ipa-pki-proxy.conf
%{_usr}/share/ipa/ipa.conf
%{_usr}/share/ipa/ipa-rewrite.conf
%{_usr}/share/ipa/ipa-pki-proxy.conf
%dir %{_usr}/share/ipa/updates/
%{_usr}/share/ipa/updates/*
%attr(755,root,root) %{plugin_dir}/libipa_pwd_extop.so
%attr(755,root,root) %{plugin_dir}/libipa_enrollment_extop.so
%attr(755,root,root) %{plugin_dir}/libipa_winsync.so
%attr(755,root,root) %{plugin_dir}/libipa_repl_version.so
%attr(755,root,root) %{plugin_dir}/libipa_uuid.so
%attr(755,root,root) %{plugin_dir}/libipa_modrdn.so
%attr(755,root,root) %{plugin_dir}/libipa_lockout.so
%dir %{_localstatedir}/lib/ipa
%attr(700,root,root) %dir %{_localstatedir}/lib/ipa/sysrestore
%dir %{_localstatedir}/cache/ipa
%attr(700,apache,apache) %dir %{_localstatedir}/cache/ipa/sessions
%attr(755,root,root) %{_libdir}/krb5/plugins/kdb/ipadb.so
%{_mandir}/man1/ipa-replica-conncheck.1.gz
%{_mandir}/man1/ipa-replica-install.1.gz
%{_mandir}/man1/ipa-replica-manage.1.gz
%{_mandir}/man1/ipa-csreplica-manage.1.gz
%{_mandir}/man1/ipa-replica-prepare.1.gz
%{_mandir}/man1/ipa-server-certinstall.1.gz
%{_mandir}/man1/ipa-server-install.1.gz
%{_mandir}/man1/ipa-dns-install.1.gz
%{_mandir}/man1/ipa-ca-install.1.gz
%{_mandir}/man1/ipa-compat-manage.1.gz
%{_mandir}/man1/ipa-nis-manage.1.gz
%{_mandir}/man1/ipa-managed-entries.1.gz
%{_mandir}/man1/ipa-ldap-updater.1.gz
%{_mandir}/man8/ipactl.8.gz
%{_mandir}/man8/ipa-upgradeconfig.8.gz

%files server-selinux
%defattr(-,root,root,-)
%doc COPYING README Contributors.txt
%{_usr}/share/selinux/targeted/ipa_httpd.pp
%{_usr}/share/selinux/targeted/ipa_dogtag.pp
%endif # ONLY_CLIENT

%files client
%defattr(-,root,root,-)
%doc COPYING README Contributors.txt
%{_sbindir}/ipa-client-install
%{_sbindir}/ipa-getkeytab
%{_sbindir}/ipa-rmkeytab
%{_sbindir}/ipa-join
%dir %{_usr}/share/ipa
%dir %{_usr}/share/ipa/ipaclient
%dir %{_localstatedir}/lib/ipa-client
%dir %{_localstatedir}/lib/ipa-client/sysrestore
%{_usr}/share/ipa/ipaclient/ipa.cfg
%{_usr}/share/ipa/ipaclient/ipa.js
%dir %{python_sitelib}/ipaclient
%{python_sitelib}/ipaclient/*.py*
%{_mandir}/man1/ipa-getkeytab.1.gz
%{_mandir}/man1/ipa-rmkeytab.1.gz
%{_mandir}/man1/ipa-client-install.1.gz
%{_mandir}/man1/ipa-join.1.gz
%{_mandir}/man5/default.conf.5.gz

%files admintools
%defattr(-,root,root,-)
%doc COPYING README Contributors.txt
%{_bindir}/ipa
%config %{_sysconfdir}/bash_completion.d
%{_mandir}/man1/ipa.1.gz

%files python -f %{gettext_domain}.lang
%defattr(-,root,root,-)
%doc COPYING README Contributors.txt
%dir %{python_sitelib}/ipapython
%dir %{python_sitelib}/ipapython/platform
%{python_sitelib}/ipapython/*.py*
%{python_sitelib}/ipapython/platform/*.py*
%dir %{python_sitelib}/ipalib
%{python_sitelib}/ipalib/*
%{python_sitearch}/default_encoding_utf8.so
%if 0%{?fedora} >= 12 || 0%{?rhel} >= 6
%{python_sitelib}/ipapython-*.egg-info
%{python_sitelib}/freeipa-*.egg-info
%{python_sitearch}/python_default_encoding-*.egg-info
%endif
%ghost %attr(0644,root,apache) %config(noreplace) %{_sysconfdir}/ipa/default.conf

%changelog
* Fri May 25 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-16%{dist}
- SSH Tech Preview feature enabled by default (#825321)

* Tue May 22 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-15%{dist}
- Test for locked users before incrementing failed login counter (#822429)

* Tue May 15 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-14%{dist}
- Fix host page to display all data when DNS is not configured (#818868)

* Tue May  8 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-13%{dist}
- Make ipa 2.2 client capable of joining an older server (#817867)

* Mon Apr 30 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-12%{dist}
- Remove patch 0042 and add revert patch for handling which attributes are
  allowed in a permission. (#783502)
- ipa-client-install sets "KerberosAuthenticate yes" in sshd.conf, breaking
  SSSD auth (#817030)
- pwpolicy_find does not sort by priority in UI (#815799)
- Improve zonemgr validation (#745705)

* Mon Apr 23 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-11%{dist}
- Make new DNS permission mixed-case (#807361)
- hbactest returns failure when hostgroups are chained (#801769)
- Man Page : Document client IP addressing / FQDN requirements (#768257)
- Login failed attempts counter or locked out status are not displayed (#759501)
- Wrong title and icon in login and logout pages (#814752)

* Wed Apr 18 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-10%{dist}
- Don't interactively prompt for dnsrecord options provided on the
  command-line options (#790295)
- Validate external hosts added to netgroups (#797256)
- Handle invalid RDN for container in migration (#804807)
- Unable to use permission-mod to rename permission object (#805478)
- Migration: don't append basedn to container if it is included (#807371)
- Raise correct exception when LDAP limits are exceeded (#808042)
- Notify user that password needs to be reset in forms-based login (#811296)
- DNS Resource records: add & delete A & AAAA record does not work in root
  (#811744)
- user-mod --rename with an empty string fails (#811748)
- DNS CNAME record: delete sometimes does not work (#811758)
- Delegation UI does not allow to specify permission (#812110)
- IPA uninstall after upgrade returns some sysrestore.state errors (#812391)
- Improve migration plugin error when 2 groups have identical GID (#813389)

* Tue Apr 10 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-9%{dist}
- Fix password policy history enforcement (#810900)
- Privilege page should not have choice to list permissions by "indirect
  membership" (#810350)
- ipa-server-install fails when domain name is not resolvable (#809190)
- Identity->DNS->Settings:Forward policy: change check box to radio buttons
  (#808620)
- When adding permissions for a type, attributes that are not allowed are
  listed (#807755)
- user-mod --rename is successful for more than max login characters
  (#807417)
- Can't specify netgroup host, user category to all in Web UI (#807366)
- Permission names cannot contains '<' or '>' (#807304)
- ipa-server-install --uninstall errors out when trying to start dirsrv.
  (#801376)
- Should not be allowed to run host-disable on an IPA Server or
  service-disable on an IPA Server service  (#800119)
- permission with filter or subtree does not allow attr to be specified
  (#783536)
- Netgroups compat plugin not reporting users correctly (#767372)
- certmonger renews server certificates ok but those services need a restart
  (related #766167)
- Set minimum vresion of certmonger to 0.56 (related #766167)
- Set minimum version of slapi-nis to 0.40 (#767372)
- Unable to disable or enable hbacrule with --setattr (#810948)
- When adding a user with --noprivate option gidNumber should be required
  (#805546)
- Fix error when no value is given in --revocation-reason optional argument
  with "ipa cert-revoke" (#808099)
- Set minimum version of bind-dyndb-ldap to 1.1.0-0.5.b1 (related #805814)

* Wed Apr  4 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-8%{dist}
- Fix ambiguous error msg in automount indirect map creation (#790131)
- Invalid error message attempting to delete config attributes (#791373)
- Enforce single-value attributes (#794746)
- config-mod allowed to add additional certificate subjects bases (#794750)
- Embedded carriage returns in a CSV not handled (#797569)
- WebUI displays "Insufficient access: invalid credentials" when a password
  doesn't meet policy requirements (#802786)
- Tech Preview: SELinux User Mapping (#803821)
- Tech Preview: Add support for central management of the SSH keys (#803822)
- Password Policy Failure Interval Reset is not working. (#804096)
- Set SELinux booleans properly (#806330)
- DNS records in LDAP are publicly accessible (#807361)
- Upgrading replication agreements without nsDS5ReplicatedAttributeList fails
  (#808201)
- IPA Upgrade Web UI failure with internal server error (#809262)
- Do not create private groups for migrated users (#809560)

* Wed Mar 28 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-7%{dist}
- Remove version requirement from BuildRequires on sssd. (related #736865)

* Wed Mar 28 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-6%{dist}
- Set minimum version of 389-ds-base to 1.2.10.2-4 (related #803930)
- Only split CSV on client (#797565)
- Search allowed attributes in superior objectclasses (#783502)
- Fix precallback validators in DNS plugin (#804562)
- Fix memleak in KDB backend (#800363)
- Harden raw record processing in DNS plugin (#804572)
- Fix attributes that contain DNs when migrating (#804609)
- Wait for child process to terminate after receiving SIGINT (#754635)
- Avoid deleting DNS zone when a context is reused (#801380)
- Fix default SOA serial format (#805427)
- Set nsslapd-minssf-exclude-rootdse to on so the DSE is always available.
  (#803836)
- Amend permissions for new DNS attributes (related #766073)
- Improve user awareness about dnsconfig (#802864)
- Fix uses of O=REALM instead of the configured certificate subject base.
  (#802912)
- Fix dnsrecord-del interactive mode (#807230)
- Add requires on python-krbV to client subpackage (#807362)
- Tolerate UDP port failures in conncheck (#802860)
- Netgroup nisdomain and hosts validation (#797256)
- Remove Conflicts on mod_ssl (#804605)
- Set minimum version of pki-ca, pki-slient and pki-setup to 9.0.3-24.
  Change location of TOMCAT_LOG to match tomcat6 changes (related #802396)
- Add python-lxml, python-pyasn1 and sssd to BuildRequires
- Set minimum selinux-policy >= 3.7.19-142 to pick up certmonger_t type
  (related #790967)
- netgroup-add and netgroup-mod --nisdomain should not allow commas (#797237)

* Wed Mar 21 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-5%{dist}
- Set minimum version of pki-ca, pki-silent and pki-setup to 9.0.3-23.
  Either we shell escape or dogtag does, we can't both do it. (#802832)
- Set dbdir in request context after a connection is created (#804128)
- Don't overwrite content by an error message (#803050)
- Don't allow IPA master hosts/services to be disabled (#800119)
- Don't error out on empty option (#798792)
- Populate gidnumber in entries added via winsync (#798352)
- Set subjectKeyIdentifier in SSL certs that IPA issues (#797274)
- Fix escaping and comma-separated value handling (#769491)
- Display certificate serial numbers in both hex and deciaml (#746060)
- Use attribute name/option name when returning errors (#718015)
- DNS forwarder's value can consist of IP address and part (#766073)
- Store DNS global options in LDAP (#766073)
- Move extension.js to subdirectory to suppress rpm warning

* Wed Mar 14 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-4%{dist}
- Allow removing sudo commands with special characters (#800537)
- Ignore case in yes/no prompts when deleting DNS records (#800483)
- Refresh resolvers after DNS server configuration (#799335)
- Fix nsslapd-anonlimitsdn in cn=config (#798361)
- Handle more exceptions gracefully in ipa-client-install (#797567)
- Fixed checkbox value in table without pkey (#791324)
- Fix exception when removing all values from configuration (#782974)
- Set httpd_manage_ipa SELinux boolean
- Fix mask validator in network validator (#802848)
- Don't shell escape arguments sent to pkisilent (#802832)
- Reorder patches so those that disable unsupported features are applied last
- Rebase disable persistent search patch

* Mon Mar  5 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-3%{dist}
- Rebase to upstream 2.1.90.rc1 release (#736865)
- Remove dependency on krb5-server-ldap, we use our own backend now (#797564)
- Set minimum mod_auth_kerb to 5.4-8 for S4U2Proxy support (related #767741)
- Set minimum selinux-policy >= 3.7.19-137 to pick up ipa_memcache boolean
- Set minimum python-memcached >= 1.43-6 to pick up status check fix
- Set minimum version of 389-ds-base to 1.2.10.1-1
- Set minimum version of krb5-server to 1.9-27
- Set minimum version of sssd to 1.8.0-11 (#766068)
- Add Requires: oddjob-mkhomedir to ipa-client (#786223)
- Remove Requires on krb5-server-ldap (#797564)
- Add Conflicts on mod_ssl (#761574)
- Remove BuildRequires on python-rhsm
- Renumber all patches
- Don't remove dirsrv user on uninstall (#797566)
- Don't allow host-del on active replicas (#797563)
- Fix invalid hostnames when hostname contains trailing dot (#797562)
- encode Bool attributes used in setattr/addattr/delattr (#797561)
- Migration plugin raises Internal Server Error (#796401)
- man page for ipa-replica-manage has typos in examples (#796347)
- Can not add new user objectclass to ipa configuration (#794474)
- Don't require SELinux to be enabled on client (#790513)
- dnsrecord-add does not validate the record names with space in between (#790318)
- Prompt for missing DNS options (#790295)
- Resource Record type options should be more descriptive (#790017)
- Correction in error message while deleting a invalid record (#789987)
- Adding some of the RR type from the "allowed values" results in an error message (#789980)
- IP address with just 3 octets are accepted as valid addresses (#789919)
- Errors not reported correctly when logging into WebUI (#789459)
- Need option for ipa-client-install to not call authconfig (#789413)
- IPA nested netgroups not seen from ypcat (#788625)
- gid number: 0 and negative number accepted (#786240)
- Allow basedn to be passed into migrate-ds (#786185)
- permission with filter or subtree does not allow attr to be specified (#783536)
- ipa permission-add does not fail if using invalid attribute (#783502)
- When migrating warn user if compat is enabled (#783270)
- Make ipausers a non-posix group on new installs (#773488)
- Need tool to update exclusive list in replication agreements (#772359)
- Reverse DNS rec not created upon creation of fwd DNS rec (#772301)
- Adding a netgroup with a "+" causes ns-slapd to crash (#772043)
- Man Page : Document client IP addressing / FQDN requirements (#768257)
- GSS-TSIG DNS updates should update reverse entries as well (#767725)
- UI for SELinux user mapping (tech preview)
- Allow forms based kerberos authentication (#766070)
- Add support for central management of the SSH keys (tech preview)
- Login failed attempts counter or locked out status are not displayed (#759501)
- Better message for error diagnosis while adding an existing winsync agreement (#755450)
- "force-sync, re-initialize and del" options for ipa-replica-manage fail against AD (#754973)
- Connect after del using ipa-replica-manage fails (#754539)
- Unable to delete migrated groups containing spaces (#753966)
- support bind forward zones, aka DNS conditional forwarding (#753483)
- IPA needs a check to ensure hostnames 'underscore' is not allowed when installing a replica (#752874)
- Unable to select dns zone when only one exists in UI (#751529)
- ipa-replica-conncheck does does not properly check UDP ports (#751063)
- Adding loc records to a ipa-dns server breaks name resolution for some other records (#750947)
- Allow specifying query and transfer policy settings for a zone (#701677)

* Fri Feb 17 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-2%{?dist}
- Add missing changelog information caught by rpmdiff.

* Fri Feb 17 2012 Rob Crittenden <rcritten@redhat.com> - 2.2.0-1%{?dist}
- Update to upstream 2.1.90.pre2 release (#736865)

* Mon Nov  7 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.3-9%{?dist}
- Add current password prompt when changing own password in web UI (#751179)
- Remove extraneous trailing ' from netgroup patch (#749352)

* Tue Nov  1 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.3-8%{?dist}
- Updated patch for CVE-2011-3636 to include CR in the HTTP headers.
  xmlrpc-c in RHEL-6 doesn't suppose the dont_advertise option so that is
  not set any more. Another fake header, X-Original-User_Agent, is added
  so there is no more trailing junk after the Referer header.  (#749870)

* Mon Oct 31 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.3-7%{?dist}
- Require an HTTP Referer header to address CSRF attackes. CVE-2011-3636.
  (#749870)

* Fri Oct 28 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.3-6%{?dist}
- Users not showing up in nis netgroup triple (#749352)

* Tue Oct 25 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.3-5%{?dist}
- Add update file to remove entitlement roles, privileges and
  permissions (#739060)

* Tue Oct 25 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.3-4%{?dist}
- Quote worker option in krb5kdc (#748754)

* Fri Oct 21 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.3-3%{?dist}
- hbactest fails while you have svcgroup in hbacrule (#746227)
- Add Kerberos domain mapping for system hostname (#747443)
- Format certificates as PEM in browser (#701325)

* Tue Oct 18 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.3-2%{?dist}
- ipa-client-install hangs if the discovered server is unresponsive (#745392)
- Fix minor problems in help system (#747028)
- Remove help fix from Disable automember patch (#746717)
- Update minimum version of sssd to 1.5.1-60 to pick up SELinux fix (#746265)

* Mon Oct 17 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.3-1%{?dist}
- Update to upstream 2.1.3 release (#736170)
- Additional branding (#742264)
- Disable automember cli (#746717)
- ipa-client-install sometimes fails to start sssd properly (#736954)
- ipa-client-install adds duplicate information to krb5.conf (#714597)
- ipa-client-install should configure hostname (#714919)
- inconsistency in enabling "delete" buttons (#730751)
- hbactest does not resolve canonical names during simulation (#740850)
- Default DNS Administration Role - Permissions missing (#742327)
- named fails to start after installing ipa server when short (#742875)
- Duplicate hostgroup and netgroup should not be allowed (#743253)
- named fails to start (#743680)
- Global password policy should not be able to be deleted (#744074)
- Client install fails when anonymous bind is disabled (#744101)
- Internal Server Error adding invalid reverse DNS zone (#744234)
- ipa hbactest does not evaluate indirect members from groups. (#744410)
- Leaks KDC password and master password via command line arguments (#744422)
- Traceback when upgrading from ipa-server-2.1.1-1 (#744798)
- IPA User's Primary GID is not being set to their UPG's GID (#745552)
- --forwarder option of ipa-dns-install allows invalid IP addr (#745698)
- UI does not grant access based on roles (#745957)
- Unable to add external user for RunAs User for Sudo (#746056)
- Typo in error message while adding invalid ptr record. (#746199)
- Don't use python 2.7-only syntax (#746229)
- Error when using ipa-client-install with --no-sssd option (#746276)
- Installation fails if sssd.conf exists and is already config (#746298)
- External hosts are not removed properly from sudorule (#709665)
- Competely remove entitlement support (#739060)
- Add winsync section to ipa-replica-manage man page (#744306)

* Fri Oct  7 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.2-2%{?dist}
- Remove python-rhsm as a Requires (#739060)

* Fri Oct  7 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.2-1%{?dist}
- Update to upstream 2.1.2 release (#736170)
- More completely disable entitlement support (#739060)
- Drop patch to ignore return value from restorecon (upstreamed)
- Set min version of 389-ds-base to 1.2.9.12-2
- Set min version of dogtag to 9.0.3-20
- Rebased hide-pkinit, ipa-RHEL-index and remove-persistent-search
  patches (#700586)

* Wed Sep 20 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.1-4%{?dist}
- Update RHEL patch (#740094)

* Tue Sep 20 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.1-3%{?dist}
- Ignore return value from restorecon (#739604)
- Disable entitlement support (#739060, #739061)

* Fri Sep 16 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.1-2%{?dist}
- Update minimum xmlrpc-c version (#736787)
- Fix package installation order causing SELinux problems (#737516)

* Thu Sep  1 2011 Rob Crittenden <rcritten@redhat.com> - 2.1.1-1%{?dist}
- Update to upstream 2.1.1 release (#732803)

* Mon Aug 15 2011 John Dennis <jdennis@redhat.com> - 2.1.0-1%{?dist}
- Resolves: rhbz#708388 - Update to upstream 2.1.0 release

* Tue May 31 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-25
- Remove client debug logging patch (#705800)

* Wed May 25 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-24
- Wait for 389-ds tasks to complete (#698421)
- Set replica to restart ipa on boot (#705794)
- Improve client debug logging (#705800)
- Managed Entries not configured on replicas (#703869)
- Don't create bogus aRecord when creating new zone (#704012)

* Wed Apr 20 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-23
- Update ipa-Fix-traceback-in-nis-manage.patch to fix python error (#697583)

* Tue Apr 19 2011 Stephen Gallagher <sgallagh@redhat.com> - 2.0.0-22
- Resolves: rhbz#697583 - Can not enable ipa-nis-manage plugin

* Thu Apr 14 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-21
- Default groups are missing ipaUniqueID attribute (#696508)

* Tue Apr  5 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-20
- Set min version of 389-ds-base to 1.2.8.0-1 for fix in BZ 693466.
- Fix some problems in IPA schema (#692978)
- postalCode should be a string not an integer (#692945)

* Wed Mar 30 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-19
- Port 7390 is managed by selinux-policy-3.7.19-80. Update
  ipa-repl_selinux.patch to not manage it any more. (#691883)
- Patch to fix setting gidnumber when a user is created. (#692168)

* Mon Mar 28 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-18
- Fix uninitialized variable in password plugin (#690595)

* Tue Mar 23 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-17
- Wait for Directory Service ports to open (#688934)
- Mixed case hostname can cause issues and confusion (#688622)
- Wrong timeout parameter in ipapython (#684273)
- Run ipa-ldap-updater on upgrades (#688931)
- Internal Error and trace back when adding DNS AAAA record (#689452)

* Tue Mar 15 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-16
- Use realm provided by installer in LDAP Updater (#684744)
- Use args for domain and server when doing DNS discovery in client (#684780)
- Fix 2 SELinux issues in dogtag replication (#684269)

* Mon Mar 14 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-15
- Add Obsoletes so upgrade from ipa-client package is possible (#684931)

* Thu Mar 10 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-14
- Update to upstream 2.0.0rc3 (#680993)
- Set minimum version of sssd to 1.5.1-12
- Remove SuitespotGroup patch
- Rebase remove-pkinit patch

* Thu Feb 24 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-13
- Set the SuitespotGroup directive in the 389-ds installation template.
  This ensures group read/write to /var/run/dirsrv. (#680201)
- Make single line out of python sitelib/sitearch code.

* Wed Feb 23 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-12
- Update to upstream 2.0.0rc2 (#675282)
- Set minimum version of sssd to 1.5.1-10
- Set minimum version of python-nss to 0.11
- Set minimum version of 389-ds to 1.2.8
- Add bind-utils as Requires in client subpackage
- Remove unused BuildRequires e2fsprogs-devel and libcap-devel
- Add branding patch
- Add default.conf man page
- Upstream moved some utilites from the admintools subpackage, reflect that
  here as well.

* Fri Feb 11 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-11
- Add pyOpenSSL to BuildRequires. (#670954)

* Mon Feb  7 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-10
- ExcludeArch doesn't do per-package exclusions, use ifarch to force
  ONLY_CLIENT on non-supported architectures. (#670954)
- Manually install ipa-admintools since the upstream client-install
  target doesn't.
- Move a lot of the BuildRequires out of the ! ONLY_CLIENT conditional
  because the API validator in the upstream code requires them.

* Mon Feb  7 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-9
- Exclude building server and server-selinux on ppc, ppc64, s390 and s390x
  platforms. (#670954)
- Add date variable to the release to make daily builds easier.

* Tue Feb  1 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-8
- Merge in changes from FreeIPA beta 2 (#670954)
- Add patches to disable pkinit

* Thu Jan 27 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-7
- Set minimum version of dogtag to 9.0.0 and add Requires for
  the theme we need. (#658275)
- Remove unnecessary moving of v1 CA serial number file in post script
- Move some man pages into admintools subpackage

* Mon Jan 24 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-6
- Drop specific Requires on libcurl and krb5-libs (#658275)

* Wed Jan 19 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-5
- Consistent usage of buildroot vs RPM_BUILD_ROOT (#658275)

* Mon Jan 17 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-4
- Drop Requires on nss-ldap (#658275)

* Thu Jan 13 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-3
- Temporarily disable building on s390

* Thu Jan 13 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-2
- Drop optional radius package, the underlying code isn't there
- Re-arrange the doc lines so that defattr is first (#658275)

* Wed Jan 12 2011 Rob Crittenden <rcritten@redhat.com> - 2.0.0-1
- Initial 2.0.0 build (#658275)
- This is IPA v2.0.0 beta 1 plus all patches through git commit
  4da9228fb2ac34adab8eb1884ae414236adb84fa
- Removed some Fedora conditionals

* Wed Jan 12 2011 Rob Crittenden <rcritten@redhat.com> - 1.99-36
- Drop BuildRequires on mozldap-devel

* Mon Dec 13 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-35
- Add Requires on krb5-pkinit-openssl

* Fri Dec 10 2010 Jr Aquino <jr.aquino@citrix.com> - 1.99-34
- Add ipa-host-net-manage script

* Tue Dec  7 2010 Simo Sorce <ssorce@redhat.com> - 1.99-33
- Add ipa init script

* Fri Nov 19 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-32
- Set minimum level of 389-ds-base to 1.2.7 for enhanced memberof plugin

* Wed Nov  3 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-31
- remove ipa-fix-CVE-2008-3274

* Wed Oct  6 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-30
- Remove duplicate %%files entries on share/ipa/static
- Add python default encoding shared library

* Mon Sep 20 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-29
- Drop requires on python-configobj (not used any more)
- Drop ipa-ldap-updater message, upgrades are done differently now

* Wed Sep  8 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-28
- Drop conflicts on mod_nss
- Require nss-pam-ldapd on F-14 or higher instead of nss_ldap (#606847)
- Drop a slew of conditionals on older Fedora releases (< 12)
- Add a few conditionals against RHEL 6
- Add Requires of nss-tools on ipa-client

* Fri Aug 13 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-27
- Set minimum version of certmonger to 0.26 (to pck up #621670)
- Set minimum version of pki-silent to 1.3.4 (adds -key_algorithm)
- Set minimum version of pki-ca to 1.3.6
- Set minimum version of sssd to 1.2.1

* Tue Aug 10 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-26
- Add BuildRequires for authconfig

* Mon Jul 19 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-25
- Bump up minimum version of python-nss to pick up nss_is_initialize() API

* Thu Jun 24 2010 Adam Young <ayoung@redhat.com> - 1.99-24
- Removed python-asset based webui

* Thu Jun 24 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-23
- Change Requires from fedora-ds-base to 389-ds-base
- Set minimum level of 389-ds-base to 1.2.6 for the replication
  version plugin.

* Tue Jun  1 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-22
- Drop Requires of python-krbV on ipa-client

* Mon May 17 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-21
- Load ipa_dogtag.pp in post install

* Mon Apr 26 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-20
- Set minimum level of sssd to 1.1.1 to pull in required hbac fixes.

* Thu Mar  4 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-19
- No need to create /var/log/ipa_error.log since we aren't using
  TurboGears any more.

* Mon Mar 1 2010 Jason Gerard DeRose <jderose@redhat.com> - 1.99-18
- Fixed share/ipa/wsgi.py so .pyc, .pyo files are included

* Wed Feb 24 2010 Jason Gerard DeRose <jderose@redhat.com> - 1.99-17
- Added Require mod_wsgi, added share/ipa/wsgi.py

* Thu Feb 11 2010 Jason Gerard DeRose <jderose@redhat.com> - 1.99-16
- Require python-wehjit >= 0.2.2

* Wed Feb  3 2010 Rob Crittenden <rcritten@redhat.com> - 1.99-15
- Add sssd and certmonger as a Requires on ipa-client

* Wed Jan 27 2010 Jason Gerard DeRose <jderose@redhat.com> - 1.99-14
- Require python-wehjit >= 0.2.0

* Fri Dec  4 2009 Rob Crittenden <rcritten@redhat.com> - 1.99-13
- Add ipa-rmkeytab tool

* Tue Dec  1 2009 Rob Crittenden <rcritten@redhat.com> - 1.99-12
- Set minimum of python-pyasn1 to 0.0.9a so we have support for the ASN.1
  Any type

* Wed Nov 25 2009 Rob Crittenden <rcritten@redhat.com> - 1.99-11
- Remove v1-style /etc/ipa/ipa.conf, replacing with /etc/ipa/default.conf

* Fri Nov 13 2009 Rob Crittenden <rcritten@redhat.com> - 1.99-10
- Add bash completion script and own /etc/bash_completion.d in case it
  doesn't already exist

* Tue Nov  3 2009 Rob Crittenden <rcritten@redhat.com> - 1.99-9
- Remove ipa_webgui, its functions rolled into ipa_httpd

* Mon Oct 12 2009 Jason Gerard DeRose <jderose@redhat.com> - 1.99-8
- Removed python-cherrypy from BuildRequires and Requires
- Added Requires python-assets, python-wehjit

* Mon Aug 24 2009 Rob Crittenden <rcritten@redhat.com> - 1.99-7
- Added httpd SELinux policy so CRLs can be read

* Thu May 21 2009 Rob Crittenden <rcritten@redhat.com> - 1.99-6
- Move ipalib to ipa-python subpackage
- Bump minimum version of slapi-nis to 0.15

* Thu May  6 2009 Rob Crittenden <rcritten@redhat.com> - 1.99-5
- Set 0.14 as minimum version for slapi-nis

* Wed Apr 22 2009 Rob Crittenden <rcritten@redhat.com> - 1.99-4
- Add Requires: python-nss to ipa-python sub-package

* Thu Mar  5 2009 Rob Crittenden <rcritten@redhat.com> - 1.99-3
- Remove the IPA DNA plugin, use the DS one

* Wed Mar  4 2009 Rob Crittenden <rcritten@redhat.com> - 1.99-2
- Build radius separately
- Fix a few minor issues

* Tue Feb  3 2009 Rob Crittenden <rcritten@redhat.com> - 1.99-1
- Replace TurboGears requirement with python-cherrypy

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 1.2.1-3
- rebuild with new openssl

* Fri Dec 19 2008 Dan Walsh <dwalsh@redhat.com> - 1.2.1-2
- Fix SELinux code

* Mon Dec 15 2008 Simo Sorce <ssorce@redhat.com> - 1.2.1-1
- Fix breakage caused by python-kerberos update to 1.1

* Fri Dec 5 2008 Simo Sorce <ssorce@redhat.com> - 1.2.1-0
- New upstream release 1.2.1

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.0-4
- Rebuild for Python 2.6

* Fri Nov 14 2008 Simo Sorce <ssorce@redhat.com> - 1.2.0-3
- Respin after the tarball has been re-released upstream
  New hash is 506c9c92dcaf9f227cba5030e999f177

* Thu Nov 13 2008 Simo Sorce <ssorce@redhat.com> - 1.2.0-2
- Conditionally restart also dirsrv and httpd when upgrading

* Wed Oct 29 2008 Rob Crittenden <rcritten@redhat.com> - 1.2.0-1
- Update to upstream version 1.2.0
- Set fedora-ds-base minimum version to 1.1.3 for winsync header
- Set the minimum version for SELinux policy
- Remove references to Fedora 7

* Wed Jul 23 2008 Simo Sorce <ssorce@redhat.com> - 1.1.0-3
- Fix for CVE-2008-3274
- Fix segfault in ipa-kpasswd in case getifaddrs returns a NULL interface
- Add fix for bug #453185
- Rebuild against openldap libraries, mozldap ones do not work properly
- TurboGears is currently broken in rawhide. Added patch to not build
  the UI locales and removed them from the ipa-server files section.

* Wed Jun 18 2008 Rob Crittenden <rcritten@redhat.com> - 1.1.0-2
- Add call to /usr/sbin/upgradeconfig to post install

* Wed Jun 11 2008 Rob Crittenden <rcritten@redhat.com> - 1.1.0-1
- Update to upstream version 1.1.0
- Patch for indexing memberof attribute
- Patch for indexing uidnumber and gidnumber
- Patch to change DNA default values for replicas
- Patch to fix uninitialized variable in ipa-getkeytab

* Fri May 16 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-5
- Set fedora-ds-base minimum version to 1.1.0.1-4 and mod_nss minimum
  version to 1.0.7-4 so we pick up the NSS fixes.
- Add selinux-policy-base(post) to Requires (446496)

* Tue Apr 29 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-4
- Add missing entry for /var/cache/ipa/kpasswd (444624)
- Added patch to fix permissions problems with the Apache NSS database.
- Added patch to fix problem with DNS querying where the query could be
  returned as the answer.
- Fix spec error where patch1 was in the wrong section

* Fri Apr 25 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-3
- Added patch to fix problem reported by ldapmodify

* Fri Apr 25 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-2
- Fix Requires for krb5-server that was missing for Fedora versions > 9
- Remove quotes around test for fedora version to package egg-info

* Fri Apr 18 2008 Rob Crittenden <rcritten@redhat.com> - 1.0.0-1
- Update to upstream version 1.0.0

* Tue Mar 18 2008 Rob Crittenden <rcritten@redhat.com> 0.99-12
- Pull upstream changelog 722
- Add Conflicts mod_ssl (435360)

* Thu Feb 29 2008 Rob Crittenden <rcritten@redhat.com> 0.99-11
- Pull upstream changelog 698
- Fix ownership of /var/log/ipa_error.log during install (435119)
- Add pwpolicy command and man page

* Thu Feb 21 2008 Rob Crittenden <rcritten@redhat.com> 0.99-10
- Pull upstream changelog 678
- Add new subpackage, ipa-server-selinux
- Add Requires: authconfig to ipa-python (bz #433747)
- Package i18n files

* Mon Feb 18 2008 Rob Crittenden <rcritten@redhat.com> 0.99-9
- Pull upstream changelog 641
- Require minimum version of krb5-server on F-7 and F-8
- Package some new files

* Thu Jan 31 2008 Rob Crittenden <rcritten@redhat.com> 0.99-8
- Marked with wrong license. IPA is GPLv2.

* Tue Jan 29 2008 Rob Crittenden <rcritten@redhat.com> 0.99-7
- Ensure that /etc/ipa exists before moving user-modifiable html files there
- Put html files into /etc/ipa/html instead of /etc/ipa

* Tue Jan 29 2008 Rob Crittenden <rcritten@redhat.com> 0.99-6
- Pull upstream changelog 608 which renamed several files

* Thu Jan 24 2008 Rob Crittenden <rcritten@redhat.com> 0.99-5
- package the sessions dir /var/cache/ipa/sessions
- Pull upstream changelog 597

* Thu Jan 24 2008 Rob Crittenden <rcritten@redhat.com> 0.99-4
- Updated upstream pull (596) to fix bug in ipa_webgui that was causing the
  UI to not start.

* Thu Jan 24 2008 Rob Crittenden <rcritten@redhat.com> 0.99-3
- Included LICENSE and README in all packages for documentation
- Move user-modifiable content to /etc/ipa and linked back to
  /usr/share/ipa/html
- Changed some references to /usr to the {_usr} macro and /etc
  to {_sysconfdir}
- Added popt-devel to BuildRequires for Fedora 8 and higher and
  popt for Fedora 7
- Package the egg-info for Fedora 9 and higher for ipa-python

* Tue Jan 22 2008 Rob Crittenden <rcritten@redhat.com> 0.99-2
- Added auto* BuildRequires

* Mon Jan 21 2008 Rob Crittenden <rcritten@redhat.com> 0.99-1
- Unified spec file

* Thu Jan 17 2008 Rob Crittenden <rcritten@redhat.com> - 0.6.0-2
- Fixed License in specfile
- Include files from /usr/lib/python*/site-packages/ipaserver

* Fri Dec 21 2007 Karl MacMillan <kmacmill@redhat.com> - 0.6.0-1
- Version bump for release

* Wed Nov 21 2007 Karl MacMillan <kmacmill@mentalrootkit.com> - 0.5.0-1
- Preverse mode on ipa-keytab-util
- Version bump for relase and rpm name change

* Thu Nov 15 2007 Rob Crittenden <rcritten@redhat.com> - 0.4.1-2
- Broke invididual Requires and BuildRequires onto separate lines and
  reordered them
- Added python-tgexpandingformwidget as a dependency
- Require at least fedora-ds-base 1.1

* Thu Nov  1 2007 Karl MacMillan <kmacmill@redhat.com> - 0.4.1-1
- Version bump for release

* Wed Oct 31 2007 Karl MacMillan <kmacmill@redhat.com> - 0.4.0-6
- Add dep for freeipa-admintools and acl

* Wed Oct 24 2007 Rob Crittenden <rcritten@redhat.com> - 0.4.0-5
- Add dependency for python-krbV

* Fri Oct 19 2007 Rob Crittenden <rcritten@redhat.com> - 0.4.0-4
- Require mod_nss-1.0.7-2 for mod_proxy fixes

* Thu Oct 18 2007 Karl MacMillan <kmacmill@redhat.com> - 0.4.0-3
- Convert to autotools-based build

* Tue Sep 25 2007 Karl MacMillan <kmacmill@redhat.com> - 0.4.0-2

* Fri Sep 7 2007 Karl MacMillan <kmacmill@redhat.com> - 0.3.0-1
- Added support for libipa-dna-plugin

* Fri Aug 10 2007 Karl MacMillan <kmacmill@redhat.com> - 0.2.0-1
- Added support for ipa_kpasswd and ipa_pwd_extop

* Mon Aug  5 2007 Rob Crittenden <rcritten@redhat.com> - 0.1.0-3
- Abstracted client class to work directly or over RPC

* Wed Aug  1 2007 Rob Crittenden <rcritten@redhat.com> - 0.1.0-2
- Add mod_auth_kerb and cyrus-sasl-gssapi to Requires
- Remove references to admin server in ipa-server-setupssl
- Generate a client certificate for the XML-RPC server to connect to LDAP with
- Create a keytab for Apache
- Create an ldif with a test user
- Provide a certmap.conf for doing SSL client authentication

* Fri Jul 27 2007 Karl MacMillan <kmacmill@redhat.com> - 0.1.0-1
- Initial rpm version
